# -*- rpm-spec -*-
# $Id: python23.spec 327 2004-06-24 21:21:17Z cray $

%define real_name               python
Name: %real_name

Version: 2.3.3
Release: alt12

%define package_name		%real_name
%define weight			1000
%define suffix_ver		2.3
%define require_ver		2.3
%define python_name		%real_name%suffix_ver
%define __python_version	%version
%define __python		%_builddir/Python-%version/%real_name

Summary: An interpreted, interactive object-oriented programming language
License: PSF
Group: Development/Python
Url: http://www.python.org/
Packager: Python Development Team <python@packages.altlinux.org>
Source:  ftp://ftp.python.org/pub/python/%version/Python-%version.tar.bz2
Source1: info-%version.tar.bz2
Source2: koi8_u.py
Source3: modules-list-%version.tar.gz
Source4: PQR2.3.html.tar.gz
Source5: PQR2.3_classic.pdf
Patch1: Python-2.3-alt-compileall.patch
Patch2: Python-2.3.2-alt-tinfo.patch
Obsoletes: python23 <= 2.3.3
Requires: %real_name = %require_ver
PreReq: alternatives >= 0.0.6

BuildPreReq: rpm >= 4.0.4-alt36.d8
BuildRequires: libGLU-devel libalternatives-devel libdb4.2-devel libgdbm-devel libssl-devel
BuildRequires: libtcl libtk tcl-devel tk-devel zlib-devel emacs
BuildRequires: autoconf >= 2.5 tk-devel >= 8.4.0-alt1 libGLU-devel
BuildRequires: XFree86-devel gcc-c++ libgdbm-devel libexpat-devel libgmp-devel 
BuildRequires: libncurses-devel libreadline-devel libstdc++-devel libtinfo-devel openssl-devel 

%description
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

Programmers can write new built-in modules for Python in C or C++.
Python can be used as an extension language for applications that
need a programmable interface. This package contains most of the
standard Python modules, as well as modules for interfacing to the
Tix widget set for Tk and RPM.

Note that documentation for Python is provided in the python-docs
package.

%package strict
Summary: Python with strict conflicts: using other pythons are prohibited
Group: Development/Python
Provides: %real_name = %require_ver
Provides: %name-strict = %version-%release
Conflicts: %name-relaxed
Conflicts: python22
Conflicts: python = 2.2
Obsoletes: python23 <= 2.3.3
Provides: %_bindir/%real_name
Requires: %real_name-base 
Requires: %real_name-modules %real_name-modules-encodings
Requires: %real_name-modules-curses %real_name-modules-xml %real_name-modules-compiler 
Requires: %real_name-modules-email %real_name-modules-hotshot %real_name-modules-bsddb 
Requires: %real_name-modules-logging 

%description strict
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This is a python with strict conflicts: using other pythons are prohibited.

%package relaxed
Summary: Python with relaxed conflicts: using with python22 are allowed
Group: Development/Python
Obsoletes: python23 <= 2.3.3
Provides: %real_name = %require_ver
Provides: %name-relaxed = %version-%release
Conflicts: %name-strict
Provides: %_bindir/%real_name
Requires: %real_name-base

%description relaxed
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This is a python with relaxed conflicts: using with python22 are allowed.

%package base
Summary: Base python modules and executables
Group: Development/Python
Requires: %real_name = %require_ver
Obsoletes: python23 <= 2.3.3

%description base
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This package contains base python modules and executables.

%package modules
Summary: Standard python modules
Group: Development/Python
Requires: %name-base = %version-%release

%description modules
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install this package if you want to develop Python extensions.  The
%name package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

%package modules-encodings
Summary: Python "encodings" module
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-encodings
Standard Python encoding modules are provided by this package.

Codec modules have names corresponding to normalized encoding
names, e.g. 'utf-8' is implemented by the module 'utf_8.py'.

%package obsolete
Summary: Obsoleted python modules
Group: Development/Python
Requires: %name-base = %version-%release

%description obsolete
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This package contains obsolete python modules.

%package modules-curses
Summary: Python "curses" module
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-curses
An interface to the curses library, providing portable terminal
handling. The Curses module provides an interface to the curses library, the
de-facto standard for portable advanced terminal handling.
This extension module is designed to match the API of ncurses, an
open-source curses library hosted on Linux and the BSD variants of UNIX.

%package modules-xml
Summary: Core XML support for Python
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-xml
This package contains three sub-packages:

dom -- The W3C Document Object Model.  This supports DOM Level 1 +
       Namespaces.

parsers -- Python wrappers for XML parsers (currently only supports Expat).

sax -- The Simple API for XML, developed by XML-Dev, led by David Megginson
       and ported to Python by Lars Marius Garshol.  This supports the SAX 2
       API.


%package modules-compiler
Summary: Package for parsing and compiling Python source code
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-compiler
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This is a package for parsing and compiling Python source code.

%package modules-email
Summary: A package for parsing, handling, and generating email messages
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-email
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This is a package for parsing, handling, and generating email messages.

%package modules-hotshot
Summary: High-perfomance logging profiler, mostly written in C
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-hotshot
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This package contains high-perfomance logging profiler.

%package modules-bsddb
Summary: Support for BerkeleyDB 3.2 through 4.2
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-bsddb
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This package contains BerkeleyDB support modules.

%package modules-logging
Summary: Logging package for Python
Group: Development/Python
Requires: %name-base = %version-%release

%description modules-logging
Logging package for Python. Based on PEP 282 and comments thereto in
comp.lang.python, and influenced by Apache's log4j system.

%package dev
Summary: The libraries and header files needed for Python development
Group: Development/Python
Requires: %name-base = %version-%release
Provides: %real_name-devel = %require_ver
Requires: %real_name%suffix_ver(__future__),%real_name%suffix_ver(getopt),%real_name%suffix_ver(os),%real_name%suffix_ver(parser),%real_name%suffix_ver(py_compile),%real_name%suffix_ver(re),%real_name%suffix_ver(stat),%real_name%suffix_ver(symbol),%real_name%suffix_ver(token),%real_name%suffix_ver(types)

%description dev
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.
This package contains the header files and libraries needed to do
these types of tasks.

Install this package if you want to develop Python extensions.  The
%name package will also need to be installed.  You'll probably also
want to install the python-docs package, which contains Python
documentation.

%package test
Summary: Test suite for standard python modules
Group: Development/Python
Requires: %name-base = %version-%release
AutoReqProv: yes, nopython

%description test
Python is an interpreted, interactive, object-oriented programming
language often compared to Tcl, Perl, Scheme or Java. Python includes
modules, classes, exceptions, very high level dynamic data types and
dynamic typing. Python supports interfaces to many system calls and
libraries, as well as to various windowing systems (X11, Motif, Tk,
Mac and MFC).

This package contains test suite for standard python modules.

%package tools-i18n
Summary: Scripts to provide i18n support for developers
Group: Development/Python

%description tools-i18n
Package provide pygettext and pymsgfmt scripts. 
pygettext uses Python's standard tokenize module to scan
Python source code, generating .pot files identical to what GNU xgettext
generates for C and C++ code. 

%package tools-webchecker
Summary: This is a simple web tree checker
Group: Development/Python

%description tools-webchecker
This is a simple web tree checker, useful to find bad links in a web
tree.  It currently checks links pointing within the same subweb for
validity.  The main program is "webchecker.py".  Invoke it with the 
option "-?") for more defails.
 
%package tools-modulator
Summary: The modulator script
Group: Development/Python

%description tools-modulator
The modulator script provides a simple graphical user interface for declaring the
functions and objects which a module should implement, and can generate a
template which can be filled in. 

%package tools-pynche
Summary: The PYthonically Natural Color and Hue Editor
Group: Development/Python

%description tools-pynche
Pynche is a color editor based largely on a similar program that I
originally wrote back in 1987 for the Sunview window system.  That editor
was called ICE, the Interactive Color Editor.  I'd always wanted to port
this program to X but didn't feel like hacking X and C code to do it.  Fast
forward many years, to where Python + Tkinter provides such a nice
programming environment, with enough power, that I finally buckled down and
re-implemented it.  I changed the name because these days, too many other
systems have the acronym CE'.

%package tools-idle
Summary: An Integrated Development Environment for Python. 
Group: Development/Python

%description tools-idle
IDLE is a basic editor and interpreter environment that ships with the
standard distribution of Python.  Good for beginners, it also serves as
clear example code for those wanting to implement a moderately
sophisticated, multi-platform GUI application.

%package modules-tkinter
Summary: A graphical user interface for the Python scripting language
Group: Development/Python
Requires: %name-base = %version-%release
Requires: tk
PreReq: alternatives >= 0.0.6
Provides: tkinter = %require_ver

%description modules-tkinter
The Tkinter (Tk interface) program is an graphical user interface for
the Python scripting language.

You should install this package if you'd like to use a graphical
user interface for Python programming.

%package info
Summary: Info documentation for the Python scripting language
Group: Development/Python
%description info
This archive contains the standard Python documentation in GNU info
format.  Thanks go to Milan Zamazal <pdm@zamazal.org> for providing this
conversion to the info format. 

Questions and comments on these documents should be directed to
docs@python.org.

%prep
%setup -q -n Python-%version
%undefine _python_compile_skip_x 
mkdir info
cd info
tar xvjf %SOURCE1
cd ..
tar xvzf %SOURCE3

cp %SOURCE5 PQR2.3.pdf

mkdir PQR2.3
cd PQR2.3
tar xvzf %SOURCE4
cd ..
 

%patch1 -p1
%patch2 -p1

find -type f \( -name \*~ -o -name \*.orig \) -print0 |
	xargs -r0 %__rm -f --

find -type f -print0 |
    xargs -r0 %__grep -FZl -- /usr/local/bin/python |
    xargs -r0 %__subst 's@/usr/local/bin/python@/usr/bin/python@' --

%build
%add_optflags %optflags_shared -D_GNU_SOURCE
export OPT="$RPM_OPT_FLAGS"
libtoolize --copy --force
autoconf_2.5
%configure --with-threads --with-cycle-gc --with-libdb --enable-shared

%make_build
%if_with test
make test
%endif
bzip2 info/python*info*
cat > info/python23.dir <<EOF
INFO-DIR-SECTION Development/Python
START-INFO-DIR-ENTRY
EOF
cat info/python.dir >> info/python23.dir
cat >> info/python23.dir <<EOF
END-INFO-DIR-ENTRY
EOF

%install
%__mkdir_p $RPM_BUILD_ROOT%_mandir
%__mkdir_p $RPM_BUILD_ROOT/usr/share/info
install info/python*bz2 info/python23.dir $RPM_BUILD_ROOT/usr/share/info

#  set the install path
echo '[install_scripts]' >setup.cfg
echo 'install_dir='"$RPM_BUILD_ROOT%_bindir" >>setup.cfg

export LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%_libexecdir:$LD_LIBRARY_PATH
%makeinstall MANDIR=$RPM_BUILD_ROOT%_mandir INCLUDEDIR=$RPM_BUILD_ROOT%_includedir 
install %SOURCE2 $RPM_BUILD_ROOT/usr/lib/%python_name/encodings

# cray : hack for hotshot
rm $RPM_BUILD_ROOT/usr/lib/%python_name/hotshot/stones.py*
# cray : hack for distutils
rm $RPM_BUILD_ROOT/usr/lib/%python_name/distutils/mwerkscompiler.py*

#hack for pydoc
mv $RPM_BUILD_ROOT%_bindir/pydoc $RPM_BUILD_ROOT%_bindir/pydoc%suffix_ver

# emacs, I use it, I want it
install -pD -m644 Misc/python-mode.el $RPM_BUILD_ROOT%_emacslispdir/python-mode%suffix_ver.el
emacs -batch --no-site-file -f batch-byte-compile $RPM_BUILD_ROOT%_emacslispdir/python-mode%suffix_ver.el
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d
cat <<EOF >$RPM_BUILD_ROOT%_sysconfdir/emacs/site-start.d/python.el-%suffix_ver
(setq auto-mode-alist (cons '("\\\\.py$" . python-mode) auto-mode-alist))
(autoload 'python-mode "python-mode%suffix_ver" "Mode for python files." t)
EOF

# idle
ln -sf %_libdir/%python_name/idlelib/idle $RPM_BUILD_ROOT%_bindir/idle%suffix_ver

%__mkdir_p $RPM_BUILD_ROOT%_libdir/%python_name/tools
# modulator
cp -r Tools/modulator $RPM_BUILD_ROOT%_libdir/%python_name/tools/
ln -sf %_libdir/%python_name/tools/modulator/modulator.py $RPM_BUILD_ROOT%_bindir/modulator%suffix_ver

# pynche
rm -f Tools/pynche/*.pyw
cp -r Tools/pynche $RPM_BUILD_ROOT%_libdir/%python_name/tools/
ln -sf %_libdir/%python_name/tools/pynche/pynche $RPM_BUILD_ROOT%_bindir/pynche%suffix_ver

cp Tools/i18n/*.py $RPM_BUILD_ROOT%_libdir/%python_name/tools/
ln -sf %_libdir/%python_name/tools/pygettext.py $RPM_BUILD_ROOT%_bindir/pygettext #%dirver
ln -sf %_libdir/%python_name/tools/msgfmt.py $RPM_BUILD_ROOT%_bindir/pymsgfmt      #%dirver

cp -r Tools/webchecker/ $RPM_BUILD_ROOT%_libdir/%python_name/tools/
for item in wcgui.py webchecker.py  websucker.py  wsgui.py; do
   ln -sf %_libdir/%python_name/tools/webchecker/$item $RPM_BUILD_ROOT%_bindir/$(basename $item .py) #%dirver
done

ln -f Tools/modulator/README Tools/modulator/README.modulator
ln -f Tools/pynche/README Tools/pynche/README.pynche

rm -f modules-list.full
for n in $RPM_BUILD_ROOT%_libdir/%python_name/*; do
  [ -d "$n" ] || echo "$n"
done >> modules-list.full

echo >modules-exclude
for list in modules-list/*-list modules-list/base-list; do
    name=$(basename $list).tmp
    cat $list >$name
    grep "py$" $list|sed -e "s|.*|&c|g" >>$name
    grep "py$" $list|sed -e "s|.*|&o|g" >>$name
    sed <$name -e "s|^|%_libdir/%python_name/|g"|tee >$(basename $list)
done | sort modules-exclude

for mod in $RPM_BUILD_ROOT%_libdir/%python_name/lib-dynload/*; do
  [ `basename $mod` = _tkinter.so ] || echo "$mod"
done >> modules-list.full
sed -e "s|$RPM_BUILD_ROOT||g" <modules-list.full |sort|comm -23 - modules-exclude >other-list

# menu support
%__mkdir_p $RPM_BUILD_ROOT%_libdir/menu
cat > $RPM_BUILD_ROOT%_menudir/tkinter-%version << EOF
#?package(%real_name): needs=text section="Applications/Development/Interpreters" title=Python command=python
?package(%name-tkinter): needs="gnome" section="Applications/Development/Development environments" title="IDLE" \
longtitle="IDE for Python %version" command="NO_XALF %_bindir/idle%suffix_ver" icon="development_section.xpm"
?package(%name-tkinter): needs=x11 section="Applications/Development/Development environments" title="IDLE" \
longtitle="IDE for Python %version" command="%_bindir/idle%suffix_ver" icon="development_section.xpm"
EOF

#alternatives support
install -d $RPM_BUILD_ROOT%_altdir
#main package
cat > $RPM_BUILD_ROOT%_altdir/%python_name <<EOF
<group name="candidate">
    <option name="link">%_bindir/%real_name</option>
    <option name="real">%_bindir/%python_name</option>
    <option name="weight" type="number">%weight</option>
    <group name="slave">
        <option name="link">%_bindir/pydoc</option>
        <option name="real">%_bindir/pydoc%suffix_ver</option>
    </group>
    <group name="slave">
        <option name="link">%_sysconfdir/emacs/site-start.d/python.el</option>
        <option name="real">%_sysconfdir/emacs/site-start.d/python.el-%suffix_ver</option>
    </group>
</group>
EOF
#tkinter package
>$RPM_BUILD_ROOT%_altdir/%python_name-modules-tkinter
for n in idle modulator pynche
do
cat >> $RPM_BUILD_ROOT%_altdir/%python_name-modules-tkinter <<EOF
<group name="candidate">
    <option name="link">%_bindir/$n</option>
    <option name="real">%_bindir/${n}%suffix_ver</option>
    <option name="weight" type="number">%weight</option>
</group>
EOF
done

chmod -x $RPM_BUILD_ROOT%_libdir/%python_name/test/*.py*

find $RPM_BUILD_ROOT -type f -print0 |
	xargs -r0 %__grep -FZl -- $RPM_BUILD_ROOT |
	xargs -r0 %__subst -- "s|$RPM_BUILD_ROOT||g"

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d
echo %real_name >$RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/%name
echo %real_name-devel >$RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/%name-devel
echo tkinter >$RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/%python_name-modules-tkinter
chmod 644 $RPM_BUILD_ROOT%_sysconfdir/buildreqs/packages/substitute.d/*

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d
cat > $RPM_BUILD_ROOT%_sysconfdir/buildreqs/files/ignore.d/%name << EOF
^%_libdir/python[^/]*/site-packages(/.+\.pth)?$
EOF

cat >> python.sh <<EOF
#! /bin/bash
export LD_LIBRARY_PATH=%_builddir/Python-%version
%_builddir/Python-%version/python "\$@"
EOF
chmod +x python.sh

#define __python $RPM_BUILD_ROOT/%_bindir/python
%define __python %_builddir/Python-%version/python.sh
%define _python_lib_path %(RPM_BUILD_ROOT=%buildroot LD_LIBRARY_PATH=%buildroot/usr/lib %buildroot%_bindir/python -c "import sys,os; path=os.path.normpath(os.environ['RPM_BUILD_ROOT']) ; print ' '.join([ x[len(path):] for x in [ os.path.normpath(x) for x in sys.path] if x[0:len(path)]==path])")
echo "LIB: %_python_lib_path"

%add_python_req_skip bundlebuilder

%post strict
ln -sf /usr/bin/python2.3 /usr/bin/python
ln -sf /usr/bin/pydoc2.3 /usr/bin/pydoc

%post relaxed
%register_alternatives %python_name -- python pydoc

#%triggerpostun -- %real_name, %name <= 0:2.3.2-alt4
#%register_alternatives %python_name -- python pydoc

%triggerpostun strict -- python22, python23, python-relaxed
ln -sf /usr/bin/pydoc2.3 /usr/bin/pydoc
ln -sf /usr/bin/python2.3 /usr/bin/python

%preun relaxed
%unregister_alternatives %python_name

%post modules-tkinter
%register_alternatives %python_name-modules-tkinter -- idle modulator pynche
%update_menus

%preun modules-tkinter
%unregister_alternatives %python_name-modules-tkinter

%postun modules-tkinter
%clean_menus

%postun relaxed

%post info
/usr/sbin/install_info python23.dir

%preun info
/usr/sbin/uninstall_info python-dist
/usr/sbin/uninstall_info python-api
/usr/sbin/uninstall_info python-ext
/usr/sbin/uninstall_info python-lib
/usr/sbin/uninstall_info python-mac
/usr/sbin/uninstall_info python-ref
/usr/sbin/uninstall_info python-tut
/usr/sbin/uninstall_info python-whatsnew23

%files 

%files strict

%files relaxed
%_altdir/%python_name

%files base -f base-list
%_emacslispdir/python-mode%suffix_ver.el*
%config(noreplace) %_sysconfdir/emacs/site-start.d/python.el-%suffix_ver
%_mandir/man?/*
%config %_sysconfdir/buildreqs/packages/substitute.d/%name
%config %_sysconfdir/buildreqs/files/ignore.d/%name
%_bindir/%python_name
%_bindir/pydoc%suffix_ver
%dir %_libdir/%python_name
%dir %_libdir/%python_name/lib-dynload
%dir %_libdir/%python_name/site-packages
%_libdir/libpython2.3.so*
%doc LICENSE 
%doc Misc/{HISTORY,NEWS,cheatsheet}
 
%files modules -f other-list
%_libdir/%python_name/plat-linux2

%files modules-curses -f modules-curses-list
%_libdir/%python_name/curses

%files modules-xml -f modules-xml-list
%_libdir/%python_name/xml

%files modules-compiler -f modules-compiler-list
%_libdir/%python_name/compiler

%files modules-email -f modules-email-list
%dir %_libdir/%python_name/email
%_libdir/%python_name/email/*py
%_libdir/%python_name/email/*pyc
%_libdir/%python_name/email/*pyo

%files modules-hotshot -f modules-hotshot-list
%_libdir/%python_name/hotshot

%files modules-bsddb -f modules-bsddb-list
%dir %_libdir/%python_name/bsddb
%_libdir/%python_name/bsddb/*py
%_libdir/%python_name/bsddb/*pyc
%_libdir/%python_name/bsddb/*pyo

%files modules-logging -f modules-logging-list
%_libdir/%python_name/logging

%files modules-encodings -f modules-encodings-list
%_libdir/%python_name/encodings

%files obsolete 
%_libdir/%python_name/lib-old

%files tools-idle
%_libdir/%python_name/idlelib
%_bindir/idle%suffix_ver
%doc Lib/idlelib/README.txt Lib/idlelib/NEWS.txt Lib/idlelib/HISTORY.txt Lib/idlelib/CREDITS.txt

%files tools-pynche
%_libdir/%python_name/tools/pynche
%_bindir/pynche%suffix_ver
%doc Tools/pynche/README

%files tools-modulator
%_libdir/%python_name/tools/modulator
%_bindir/modulator%suffix_ver
%doc Tools/modulator/README Tools/modulator/EXAMPLE.py

%files tools-i18n
%_libdir/%python_name/tools/pygettext.py
%_libdir/%python_name/tools/msgfmt.py
%_bindir/pygettext
%_bindir/pymsgfmt

%files tools-webchecker
%_libdir/%python_name/tools/webchecker/*.py*
%_bindir/wcgui
%_bindir/webchecker
%_bindir/websucker
%_bindir/wsgui
%doc Tools/webchecker/README 

%files dev
%config %_sysconfdir/buildreqs/packages/substitute.d/%name-devel
%_includedir/%python_name
%_libdir/%python_name/config
%_libdir/%python_name/distutils

%files test
%_libdir/%python_name/test
%_libdir/%python_name/email/test
%_libdir/%python_name/bsddb/test

%files info
/usr/share/info/*
%doc Lib/*.doc
%doc PQR2.3.pdf PQR2.3/*

%files modules-tkinter
%config %_sysconfdir/buildreqs/packages/substitute.d/%python_name-modules-tkinter
%_altdir/%python_name-modules-tkinter
%_libdir/%python_name/lib-tk
%_libdir/%python_name/lib-dynload/_tkinter.so
%_menudir/tkinter-%version

%changelog
* Fri Jul 02 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt12
- Requires of tk added to tkinter;

* Sun Jun 06 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt11
- Into dev subpackage added requirements to be used by rpm-build-python
- __future__ module moved into python-base

* Mon May 24 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt10
- triggerpostun added to restore symbol-link after unregegister alternatives;

* Tue May 18 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt9
- Automatic provides n requires detect in module "test" forbidden;

* Mon May 17 2004 Dmitry V. Levin <ldv@altlinux.org> 2.3.3-alt8.1
- Added missing subpackage descriptions.

* Mon May 17 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt8
- Some errors observed during strict/relaxed switching fixed;
- Subpackage slight renamed into relaxed;
- Conditional packaging operators excluded (don't need any more);
- Requirement of bundlebuilder is ignored now;

* Mon May 10 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt7.6.d
- Using libdb2 excluded

* Thu Apr 22 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt7.5.d
- Rebuild with new rpm/python macros

* Tue Apr 13 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt7.4.d
- Rebuild with new rpm/python macros

* Sun Mar 28 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt7.3.d
- Fix new python policy compatibility

* Mon Mar 01 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt7
- Fix some inner dependences; 
- Split devel package on devel and test (because of differences in AutoReq
  politics);
- Ready to rebuild with rpm-build-python (AutoReq, AutoProv);

* Sat Feb 21 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt6.5
- Split package python on -base, -modules, -modules-*;
- Some documentation added into python-info package;
- Subpackages python-slight, python-strict created;

* Sat Feb 21 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt6
- Package rebuilded with libdb4.2

* Sun Jan 18 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt5
- Package splitted on python-tools-idle, python-tools-pynche and python-tools-modulator
- Package with i18n tools added (python-tools-i18n)
- Package with webchacker added (python-tools-webchecker)

* Sun Jan 11 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt4
- koi8-u encoding added (thanks to Maxim Tyurin);

* Mon Jan 05 2004 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt3
- Clause "Conflict py21" added

* Mon Dec 29 2003 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt2
- Add documentation in info

* Mon Dec 29 2003 Andrey Orlov <cray@altlinux.ru> 2.3.3-alt1
- New version

* Tue Dec 16 2003 Andrey Orlov <cray@altlinux.ru> 2.3.2-alt6
- Library libpython is built as shared now;

* Wed Dec 10 2003 Dmitry V. Levin <ldv@altlinux.org> 2.3.2-alt5
- Relocated emacs site-start.d file to %_sysconfdir/emacs/site-start.d/.

* Thu Nov 27 2003 Andrey Orlov <cray@altlinux.ru> 2.3.2-alt4
- Emacs python-mode files are renamed ( "$" <- "23$" ) to avoid conflict
- Emacs python-mode files are included into alternatives
- Fix some problems on replace idle with idlelib and so on
- Modulator and Pynche moved into python/tools
- Some unused pathes excluded

* Mon Nov 25 2003 Andrey Orlov <cray@altlinux.ru> 2.3.2-alt3
- Emacs python-mode file temporary abandoned

* Fri Nov 21 2003 Andrey Orlov <cray@altlinux.ru> 2.3.2-alt2
- Old patches customized and applied.

* Wed Nov 05 2003 Andrey Orlov <cray@altlinux.ru> 2.3.2-alt1
- Renamed to python23.
- new version  (first try...)

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2.2-alt3.1
- new alternatives config format

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2.2-alt3
- PreReq fixes

* Thu Mar 13 2003 Stanislav Ievlev <inger@altlinux.ru> 2.2.2-alt2
- moved to new alternatives scheme

* Wed Nov 06 2002 Dmitry V. Levin <ldv@altlinux.org> 2.2.2-alt1
- 2.2.2 (bugfix release).

* Thu Sep 26 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.2.1-alt4
- rebuilt with tcl 8.4

* Thu Jul 11 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.2.1-alt3
- rebuilt with new tcl layout

* Sun Jun 30 2002 Dmitry V. Levin <ldv@altlinux.org> 2.2.1-alt2
- Patched to link with libtinfo.

* Thu Apr 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2.1-alt1
- 2.2.1 (bugfix release).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2-alt10
- Fixed build (do not require db1, db3, db4).

* Thu Mar 07 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt9
- fixed alternatives

* Tue Feb 19 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt8
- return pyexpat.so to package

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt7
- now we don't use pathfix.py 'cause we want to build python without python

* Wed Jan 30 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.2-alt6
- Added buildreq substitution rules.

* Tue Jan 29 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt5
- fixed compileall module.

* Tue Jan 29 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt4
- fixed alternatives for the pydoc.

* Tue Jan 29 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt3
- Renamed to python22.

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt2
- added Provides for PYTHON

* Mon Jan 28 2002 Stanislav Ievlev <inger@altlinux.ru> 2.2-alt1
- 2.2
- we must made some changes in package structure later

* Tue Sep 04 2001 Mikhail Zabaluev <mhz@altlinux.ru> 2.1.1-alt3
- Segregated python-docs into a separate package

* Mon Aug 06 2001 Stanislav Ievlev <inger@altlinux.ru> 2.1.1-alt2
- Added emacs to buildreqs

* Wed Aug 01 2001 Stanislav Ievlev <inger@altlinux.ru> 2.1.1-alt1
- 2.1.1
- Light spec cleanup.

* Wed Jun 26 2001 AEN <aen@logic.ru> 2.1-alt1
- new version

* Tue Jan 30 2001 Dmitry V. Levin <ldv@fandra.org> 2.0-ipl5mdk
- Explicit set strip methods.
- Added few patches from
  http://www.python.org/cgi-bin/moinmoin/{Critical,Misc}Patches/

* Mon Jan 15 2001 Dmitry V. Levin <ldv@fandra.org> 2.0-ipl4mdk
- Fix build with new expat-devel.

* Sat Dec 09 2000 Dmitry V. Levin <ldv@fandra.org> 2.0-ipl3mdk
- Specfile cleanup.
- Enabled bsddbmodule.
- Added %_libdir/%namever/xml.
- Recompiled modules with the correct directory paths.
- Automatically added BuildRequires.

* Wed Nov 29 2000 AEN <aen@logic.ru> 2.0-ipl2mdk
- build for RE
- corrected BuildReq

* Fri Nov 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0-1mdk
- 2.0 (95 tests OK. 12 tests skipped: test_al test_cd test_cl test_dl test_gl test_imgfile test_largefile
test_linuxaudiodev test_nis test_sunaudiodev test_winreg test_winsound)
- added emacs mode
- html doc.

* Wed Sep 27 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-12mdk
- removed dependency on tkinter for python to avoid loop.

* Mon Sep 11 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-11mdk
- fixed some hardcoded paths (Geoffrey Lee).
- removed menu entry for interpreter.

* Thu Aug 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.5.2-10mdk
- fixed typo %updates_menus -> %update_menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-9mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.5.2-8mdk
- Merge rh patch.
- Macros.
- compile with new tcl.

* Tue May  9 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-7mdk
- added locale module.

* Thu Mar 30 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-6mdk
- menu

* Tue Mar  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-5mdk
- idle 0.5.
- compiled with optimization.

* Fri Jan 14 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.5.2-4mdk

- added a BuildRequires.

* Sat Dec 4 1999 Florent Villard <warly@mandrakesoft.com>
- add idle, pynche and modulator in the package

* Tue Oct 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with redhat changes.
- added modulator, and pynche to the python-tools package(r)
- using a files list in the %files section for python-tools(r)
- added conflicts/requires between subpackages so that you cannot
  have an older tkinter installed with a new python.(r)
- added more tools(r)
- rebuild to fix broken tkinter.(r)
- fixed bogus /usr/local/bin/python requirements.(r)
- added patch to import global symbols until we get libtool patched(r)

* Fri Aug 20 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.5.2
- updated patches
- use macro %%_arch instead of %%_target_cpu for file paths

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the dbm support (doen't work with GLBC2.1)

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- add de locale
- fix handling of RPM_OPT_FLAGS

* Thu Feb 11 1999 Michael Johnson <johnsonm@redhat.com>
- added mpzmodule at user request (uses gmp)
- added bsddbmodule at user request (uses db 1.85 interface)

* Mon Feb 08 1999 Michael Johnson <johnsonm@redhat.com>
- add --with-threads at user request
- clean up spec file

* Fri Jan 08 1999 Michael K. Johnson <johnsonm@redhat.com>
- New libc changes ndbm.h to db1/ndbm.h and -ldb to -ldb1

* Thu Sep  3 1998 Jeff Johnson <jbj@redhat.com>
- recompile for RH 5.2.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- python-docs used to require /usr/bin/sed. Changed to /bin/sed instead

* Wed Apr 29 1998 Cristian Gafton <gafton@redhat.com>
- fixed the spec file for version 1.5.1
- buildroot (!)

* Mon Apr 20 1998 Michael K. Johnson <johnsonm@redhat.com>
- updated to python 1.5.1
- created our own Python-Doc tar file from 1.5 to substitute for the
  not-yet-released Doc package.
- build _tkinter properly
- use readline again
- build crypt module again
- install rand replacement module
- added a few modules

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to python 1.5
- made /usr/lib/python1.5 file list automatically generated

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed dependencies for python and tkinter

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- pulled out tk-related stuff into tkinter package

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- bunches of scripts used /usr/local/bin/python instead of /usr/bin/python

* Tue Sep 30 1997 Erik Troan <ewt@redhat.com>
- updated for tcl/tk 8.0

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

